Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 442102

Summary: Add bepo keymap support to genkernel
Product: Gentoo Hosted Projects Reporter: Laurent Bachelier <laurent>
Component: genkernelAssignee: Gentoo Genkernel Maintainers <genkernel>
Status: RESOLVED FIXED    
Severity: minor CC: bugs.gentoo.org
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: All   
Whiteboard:
Package list:
Runtime testing required: ---

Description Laurent Bachelier 2012-11-06 20:51:21 UTC
The keymap is available in http://download.tuxfamily.org/dvorak/keymaps/fr-dvorak-bepo-keymaps-1.0rc2.tgz
It is a fairly popular keymap, and is already part of Xorg.

colemak could also be added, it is available under Gentoo in /usr/share/keymaps/i386/colemak/en-latin9.map.gz

Reproducible: Always
Comment 1 X 2015-10-07 20:34:49 UTC
Same problem here.

I'm unable to boot easily, because I can't type my passphrase to unlock my disk with the wrong keymap.
Comment 2 X 2015-10-08 12:05:26 UTC
This problem exists with both genkernel and genkernel-next.
Comment 3 Larry the Git Cow gentoo-dev 2019-07-29 20:10:23 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/genkernel.git/commit/?id=a5ea6132ef5afc2bdde38a84adc44849fa9b947f

commit a5ea6132ef5afc2bdde38a84adc44849fa9b947f
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-07-28 14:21:34 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-07-28 21:19:39 +0000

    keymaps: Add bepo and colemak keymap
    
    Bug: https://bugs.gentoo.org/442102
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 defaults/initrd.scripts      |  92 +++++++++++++++++++++----------------------
 defaults/keymaps/10.map      |   2 +-
 defaults/keymaps/11.map      |   2 +-
 defaults/keymaps/12.map      |   2 +-
 defaults/keymaps/13.map      |   2 +-
 defaults/keymaps/14.map      |   2 +-
 defaults/keymaps/15.map      |   2 +-
 defaults/keymaps/16.map      |   2 +-
 defaults/keymaps/17.map      |   2 +-
 defaults/keymaps/18.map      |   2 +-
 defaults/keymaps/19.map      |   2 +-
 defaults/keymaps/20.map      |   2 +-
 defaults/keymaps/21.map      |   2 +-
 defaults/keymaps/22.map      |   2 +-
 defaults/keymaps/23.map      |   2 +-
 defaults/keymaps/24.map      |   2 +-
 defaults/keymaps/25.map      |   2 +-
 defaults/keymaps/26.map      |   2 +-
 defaults/keymaps/27.map      |   2 +-
 defaults/keymaps/28.map      |   2 +-
 defaults/keymaps/29.map      |   2 +-
 defaults/keymaps/3.map       |   2 +-
 defaults/keymaps/30.map      |   2 +-
 defaults/keymaps/31.map      |   2 +-
 defaults/keymaps/32.map      |   2 +-
 defaults/keymaps/33.map      |   2 +-
 defaults/keymaps/34.map      |   2 +-
 defaults/keymaps/35.map      |   2 +-
 defaults/keymaps/36.map      |   2 +-
 defaults/keymaps/37.map      |   2 +-
 defaults/keymaps/38.map      |   1 +
 defaults/keymaps/39.map      |   2 +-
 defaults/keymaps/4.map       |   2 +-
 defaults/keymaps/40.map      |   2 +-
 defaults/keymaps/41.map      |   2 +-
 defaults/keymaps/42.map      |   2 +-
 defaults/keymaps/43.map      |   2 +-
 defaults/keymaps/44.map      |   1 +
 defaults/keymaps/5.map       |   2 +-
 defaults/keymaps/6.map       |   2 +-
 defaults/keymaps/7.map       |   2 +-
 defaults/keymaps/8.map       |   2 +-
 defaults/keymaps/9.map       |   2 +-
 defaults/keymaps/bepo.map    | Bin 0 -> 2823 bytes
 defaults/keymaps/colemak.map | Bin 0 -> 2823 bytes
 defaults/keymaps/keymapList  |  16 ++++----
 46 files changed, 94 insertions(+), 96 deletions(-)
Comment 4 Thomas Deutschmann gentoo-dev Security 2019-07-29 21:12:20 UTC
Released with >=sys-kernel/genkernel-4.0.0_beta10.